# Pacwrap User Manual

This document was generated by the pacwrap binary on 25-10-2023 with version 0.4.1-1a11c7c of the program.

## NAME
pacwrap - Command-line application which facilitates the creation, management, and execution of unprivileged, 
sandboxed containers with bubblewrap and libalpm.

## SYNOPSIS
pacwrap [**OPERATIONS**] [**ARGuMENTS**] [**TARGET(S)**]	

## OPERATIONS

* -S, --sync**
Synchronize package databases and update packages in target containers. 

* -U, --utils**
Invoke miscellaneous utilities to manage containers.

* -P, --process**
Manage and show status of running container processes.

* -E, --execute**
Executes application in target container using bubblewrap.

* -h, --help**
Invoke a printout of this manual to **stdout**. Specify an option verbatim for further information.

* -V, --version**
Display version and copyright information in **STDOUT**.

## EXECUTE

* -r, --root**
Execute operation with fakeroot and fakechroot. Facilitates a command with faked privileges.
	
* -s, --shell**
Invoke a bash shell

## SYNCHRONIZATION

* -y, --refresh**
Synchronize remote package databases. Specify up to 2 times to force a refresh.

* -u, --upgrade**
Execute aggregate upgrade routine on all or specified containers. Use **-t, --target=TARGET** to limit
package synhronization operations to the specified target containers. Packages applicable to a target **must**
be specified only after the target operand. e.g. '-t electron element-desktop -t mozilla firefox thunderbird'

* -f, --filesystem**
Force execution of filesystem synchronization target on all or specified containers. In combination
with **-o/--target-only**, in addition to no other specified targets, filesystem slices will be
synchronized without package synchronization on all applicable containers.

* -c, --create**
Create a container with the first specified target. A container type argument is also required.

* -b, --base**
Base container type. Specify alongside **-c, --create** to assign this container type during creation.
This container type is used as the base layer for all downstream containers. Only one base container 
dependency per slice or per root is supported. Filesystem and package deduplication via slices and root 
containers is recommended, but optional.

* -d, --slice**
Slice container type. Specify alongside **-c, --create** to assign this container type during creation.
Requires a base dependency target, and optionally sliced dependency target(s), in order to ascertain
foreign packages and influence ordering of downstream synchronization target(s). Container slicing provides 
the ability to install packages in a lightweight, sliced filesytem, which aid in the deduplication of 
common downstream package and filesystem dependencies (e.g. graphics drivers, graphical toolkits, fonts, 
and display server dependencies, etc.).

* -r, --root**
Root container type. Specify alongside **-c, --create** to this assign container type during creation.
Requires a base dependency target, and optionally sliced dependency targets, in order to ascertain
foreign packages and influence ordering of this target. These containers are ideal for installing
software in with the least amount of filesystem and package synchronization overhead.

* -t, --target=TARGET**
Specify a target container for the specified operation.

* -o, --target-only**
Apply specified operation on the specified target only.

* --force-foreign**
Force synchronization of foreign packages on resident container. Useful for when installing 
a new package in a root container without all the prerequisite foreign dependencies synchronized 
to this container's package database.

* --dbonly**
Transact on resident containers with a database-only transaction.

* --noconfirm**
Override confirmation prompts and confirm all operations.

## PROCESS
-TODO-

## UTILITIES
-TODO-

## HELP

* -m, --more**
When specifying a topic to display, show the default topic in addition to specified options.

* -f, --format=FORMAT**
Change output format of help in **STDOUT**. Format options include: 'ansi', 'dumb', 'markdown', and 'man'. 
This option is for the express purposes of generating documentation at build time, and has little utility
outside the context of package maintenance. 'man' option produces troff-formatted documents for man pages.


* -a, --all, --help=all**
Display all help topics.

## VERSION

* -v, --version, --version=min**
Sends version information to **STDOUT** with colourful ASCII art. 
The 'min' option provides a minimalistic output as is provided to non-colour terms.

This documentation was generated by pacwrap v0.4.1-1a11c7c-DEV (25-10-2023).
Please seek relevant documentation if 'pacwrap -v' mismatches with the aforementioned.

## COPYRIGHT

Copyright (C) 2023 - Xavier R.M.

This program may be freely redistributed under
the terms of the GNU General Public License v3.

